%mingw_package

%define pkgname libjpeg

Name: %cross_arch-%pkgname
Version: 6b
Release: alt2

Summary: A library for manipulating JPEG image format files
License: distributable
Group: System/Libraries
Url: http://www.ijg.org/

BuildArch: noarch

Source: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.bz2
Source3: libjpeg.def

Patch0: %pkgname-6b-suse-int32.patch
Patch1: %pkgname-6b-rh-arm.patch
Patch2: %pkgname-6b-rh-rpath.patch
Patch3: %pkgname-6b-rh-shared.patch
Patch4: %pkgname-6b-rh-cplusplus.patch
Patch5: %pkgname-6b-up-crop.patch
Patch6: %pkgname-6b-deb-crop_man.patch
Patch7: %pkgname-6b-deb-rdppm.patch
Patch8: %pkgname-6b-alt-makefile.patch
Patch9: %pkgname-6b-alt-rdjpgcom-i18n.patch

Patch20: %pkgname-mingw-defsfix.patch
Patch30: %name-build.patch
# Automatically added by buildreq on Tue May 04 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc i386-mingw32msvc-runtime

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n jpeg-6b
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch20 -p1
%__cp makefile.ansi Makefile
%patch30
install -pm644 %SOURCE3 .

%build
CC=i386-mingw32msvc-gcc \
./configure

%__rm -f Makefile
%__ln_s makefile.ansi Makefile
make CC="%cross_arch-gcc" \
	AR="%cross_arch-ar rc" \
	AR2="%cross_arch-ranlib" \
	CFLAGS="-O2" 

%install
%__mkdir_p %buildroot{%_archbindir,%_archlibdir,%_archincludedir}

%__install -pm644 libjpeg.dll %buildroot%_archbindir/
%__install -pm644 libjpeg.dll.a %buildroot%_archlibdir/
%__install -pm644 libjpeg.a %buildroot%_archlibdir/

%__install -pm644 jconfig.h %buildroot%_archincludedir/
%__install -pm644 jerror.h %buildroot%_archincludedir/
%__install -pm644 jmorecfg.h %buildroot%_archincludedir/
%__install -pm644 jpeglib.h %buildroot%_archincludedir/

%cross_arch-strip %buildroot%_archlibdir/*.a
%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll

%files
%_archbindir/*.dll

%files devel
%_archlibdir/*.dll.a
%_archincludedir/*

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Tue Sep 26 2006 Alexander Borovsky <partizan@altlinux.ru> 6b-alt2
- Synchronized with libjpeg-6b-alt7

* Wed Nov 24 2004 Alexander Borovsky <partizan@altlinux.ru> 6b-alt1
- Built for %cross_arch target

* Wed Oct 13 2004 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt4
- Added home-bred jpeginfo utility.

* Tue Oct 12 2004 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt3
- Added jpegexiforient utility from http://jpegclub.org/.
- Added exifautotran utility based on
  http://jpegclub.org/exifautotran.sh.

* Mon Oct 11 2004 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt2
- Applied lossless-crop patch from
  http://jpegclub.org/croppatch.tar.gz
- Merged patches from debian package.
- Fixed docs packaging.
